# This file is is a TEST configuration file for all tools
# that use the containers/storage library.
# See man 5 containers-storage.conf for more information
# The "container storage" table contains all of the server options.
[storage]

# Default Storage Driver
driver = ""

# Temporary storage location
runroot = "$HOME/$UID/containers/storage"

# Primary Read/Write location of container storage
graphroot = "$HOME/$UID/containers/storage"

# Storage path for rootless users
#
rootless_storage_path = "$HOME/$UID/containers/storage"

[storage.options]
# Storage options to be passed to underlying storage drivers

# AdditionalImageStores is used to pass paths to additional Read/Only image stores
# Must be comma separated list.
additionalimagestores = [
]

# Remap-UIDs/GIDs is the mapping from UIDs/GIDs as they should appear inside of
# a container, to the UIDs/GIDs as they should appear outside of the container,
# and the length of the range of UIDs/GIDs.  Additional mapped sets can be
# listed and will be heeded by libraries, but there are limits to the number of
# mappings which the kernel will allow when you later attempt to run a
# container.
#
remap-uids = "0:1000000000:30000"
remap-gids = "0:1500000000:60000"

[storage.options.overlay]

# mountopt specifies comma separated list of extra mount options
mountopt = "nodev"


[storage.options.thinpool]
# Storage Options for thinpool
